# Retrieve hotel incremental dump

URL: https://docs.emergingtravel.com/docs/b2b-api/static-content/retrieve-hotel-incremental-dump/

Tags: b2b

---



**Sandbox**

```
https://api-sandbox.worldota.net/api/b2b/v3/hotel/info/incremental_dump/
```

**Production**

```
https://api.worldota.net/api/b2b/v3/hotel/info/incremental_dump/
```




The call gets the [dump](/docs/glossary/#dump) with the ETG hotels which content has changed in the previous day.

> [!NOTE]
> The dump:
> * Is incremental.
> * Should be updated every day.



The ETG generates <strong>each archive for a single language</strong>.

> [!WARNING]
> * The dump download link you receive from the API is temporary and will expire **1 hour after being issued**. To download the dump, you must call the API method each time to obtain a fresh, valid link.
> * <strong>Indexing of any internal content such as photos, descriptions and others isn’t allowed.</strong>
> * Any public content such as a name, address, amenities and policies can be indexed.



## Sandbox limitations { #limitations }

> [!WARNING]
> Use only field values, IDs, API keys, and any static content from the sandbox environment within the sandbox. <strong>Do not use sandbox data in test or production environments, and do not mix data or configuration between different environments.</strong>




* The value of the `language` field is always set to `en`.
* The inventory field supports the following values: `all`, `direct`, `preferable`, and `direct_fast`.
* The maximum number of items in the dump is `1000`.
* For all objects containing the `currency_code` field, its value is always `EUR`.

## Request example


**Sandbox**

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api-sandbox.worldota.net/api/b2b/v3/hotel/info/incremental_dump/' \
--header 'Content-Type: application/json' \
--data '{
  "language": "en",
  "inventory": "all"
}'
```

**Production**

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/hotel/info/incremental_dump/' \
--header 'Content-Type: application/json' \
--data '{
  "language": "en",
  "inventory": "all"
}'
```




## Request body



- **language** *(String, required)*

  <p>The language.</p>
  > [!NOTE]
  > The possible values:
  > * `ar` — Arabic.
  > * `bg` — Bulgarian.
  > * `cs` — Czech.
  > * `da` — Danish.
  > * `de` — German.
  > * `el` — Greek.
  > * `en` — English.
  > * `es` — Spanish.
  > * `fi` — Finnish.
  > * `fr` — French.
  > * `he` — Hebrew.
  > * `hu` — Hungarian.
  > * `it` — Italian.
  > * `ja` — Japanese.
  > * `kk` — Kazakh.
  > * `ko` — Korean.
  > * `nl` — Dutch.
  > * `no` — Norwegian Bokmål.
  > * `pl` — Polish.
  > * `pt` — Portuguese.
  > * `pt_PT` — European Portuguese.
  > * `ro` — Romanian.
  > * `ru` — Russian.
  > * `sq` — Albanian.
  > * `sr` — Serbian.
  > * `sv` — Swedish.
  > * `th` — Thai.
  > * `tr` — Turkish.
  > * `uk` — Ukrainian.
  > * `vi` — Vietnamese.
  > * `zh_CN` — Simplified Chinese.
  > * `zh_TW` — Traditional Chinese.


- **inventory** *(String, optional)*

  <p>The hotel list to get.</p>
  > [!NOTE]
  > * The possible values:
  >     * `all` — all available [suppliers](/docs/glossary/#supplier-types).
  >     * `direct` — [Chains](/docs/glossary/#direct-chains), [Extranet](/docs/glossary/#direct-extranet), [DMC](/docs/glossary/#destination-management-company), [Switch](/docs/glossary/#switch), [Consolidator](/docs/glossary/#consolidator), [Wholesaler](/docs/glossary/#wholesaler).
  >     * `direct_fast` — [Chains](/docs/glossary/#direct-chains), [Extranet](/docs/glossary/#direct-extranet).
  >     * `direct_fast_extended` —  [Chains](/docs/glossary/#direct-chains), [Extranet](/docs/glossary/#direct-extranet), [DMC](/docs/glossary/#destination-management-company), [Switch](/docs/glossary/#switch).
  >     * `preferable` — all sellable hotels with availability within last 6 months.
  > * The default value is `all`.





## Response



- **url** *(String)*

  <p>A direct link to download the dump file.</p>


- **last_update** *(DateTime)*

  <p>The date and time when this dump was last updated (in UTC, [ISO 8601 format](https://www.iso.org/iso-8601-date-and-time-format.html)
  
  ).</p>





## Response example

```json
{
  "data": {
    "last_update": "2020-07-01T00:38:13Z",
    "url": "https://.../partner_feed_v3_en.jsonl.zst?..." // link valid for 1 hour
  },
  "debug": null,
  "error": null,
  "status": "ok"
}
```

## Errors

The `error` field has the value specified in the headers below.

### `dump_not_ready`

The dump is in processing. Try to send the request later.
